#lang info

(define name "CSC 104") ; What effect does this have?

(define version "0.0.10")

(define drracket-tools (list "langs.rkt"
                             "private/boxed-highlight/tool.rkt"))
(define drracket-tool-icons (list #false
                                  #false))
(define drracket-tool-names (list "CSC 104"
                                  "Boxed Highlight")) ; Disablable via “Preferences / Tools”
(define drracket-tool-urls (list "http://www.cs.toronto.edu/~csc104h" ; What should this be?
                                 #false))

(define compile-omit-paths (list "notes" "curriculum" "release" "tests"))

(define deps (list (list "base" '#:version "7.0")
                   "images-lib"
                   "snip-lib"
                   "net-lib"
                   "htdp-lib"
                   "typed-racket-lib" "typed-racket-more"
                   "drracket-plugin-lib" "errortrace-lib"
                   "gui-lib" "draw-lib" "string-constants-lib"
                   "scribble-lib" "sandbox-lib"
                   "reprovide-lang"))

(define build-deps (list "scribble-text-lib" "picturing-programs" "draw-doc"))

(define scribblings `(("scribblings/docs.scrbl"
                       ()
                       (teaching ,(if (getenv "PLT_PKG_BUILD_SERVICE") -inf.0 10)) "csc104")))

(define post-install-collection "private/installer.rkt")
