#lang racket/base (require (submod "../snack/contract.rkt" core)
                           "../snack/syntax.rkt")

(provide hiding #;showing (contract-out [hide (parameter/c list?)]
                                        [show (parameter/c list?)]))

; Public API
;
(define-macro (hiding  to-hide:expr an-expr:expr) (parameterize ([hide to-hide]) an-expr))
#;(define-macro (showing to-show:expr an-expr:expr) (parameterize ([show to-show]) an-expr))

(define hide (make-parameter '()))
(define show (make-parameter '()))
