#lang racket/base

(require "box.rkt")
(provide (all-from-out "box.rkt"))

(provide #%datum
         block
         (rename-out [#%printing-module-begin #%module-begin])
         (rename-out [compthink:quote quote]
                     [compthink:#%top-interaction #%top-interaction]
                     [compthink:#%top #%top] [compthink:#%app #%app]
                     [compthink:define define] [compthink:assuming assuming]
                     [compthink:check check] [compthink:check check-expect]
                     [compthink:if if] [compthink:else else] [compthink:and and] [compthink:or or]
                     [compthink:with with] [compthink:local local] [compthink:fun fun]
                     [compthink:time time]
                     #;[compthink:for for] [compthink:for accumulate]
                     [compthink:for/list list-accumulate])
         (rename-out [compthink:require require]
                     [compthink:only-in only-in] [compthink:prefix-in prefix-in]))

(require racket/block
         (only-in "forms/forms.rkt"
                  compthink:quote
                  compthink:#%top-interaction
                  compthink:#%top compthink:#%app
                  compthink:define compthink:assuming
                  compthink:check
                  compthink:if compthink:else compthink:and compthink:or
                  compthink:with compthink:local compthink:fun
                  compthink:time
                  compthink:for
                  compthink:for/list)
         (only-in "forms/forms.require.rkt"
                  compthink:require
                  compthink:only-in compthink:prefix-in))

(provide (all-from-out "functions/non-image.rkt" "functions/image.rkt"))
(require "functions/non-image.rkt" "functions/image.rkt")
